Skip to navigation

Get ProteinFormat by ID

Get a single ProteinFormat by ID.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

protein_format_idstringRequired
ID of the ProteinFormat.

Query parameters

returningstringOptional

Comma-separated list of top-level fields to include in each returned item. Cannot overlap with omit.

omitstringOptional

Comma-separated list of top-level fields to omit from each returned item. Cannot overlap with returning.

Response

OK
__typenamestringOptional
archiveReasonstring or nullOptional
archivedbooleanOptional
builtInbooleanOptional

Whether this is an out-of-the-box Benchling-provided format. These formats come pre-loaded and cannot be modified or deleted by users.

chainPositionslist of objectsOptional
Format chain positions include all physical instances of each chain in a protein of this format.
chainslist of objectsOptional
The chains of protein entities of this format. Each chain can have multiple chain sites, representing multiple physical instances of the same chain.
createdAtstringOptional
When the protein format was created.
domainPositionslist of objectsOptional
Format domain positions include all physical instances of each domain in a protein of this format.
domainslist of objectsOptional
The domains of protein entities of this format. Each domain can have multiple domain sites, representing multiple physical instances of the same domain.
idstringOptional

API identifier of the protein format. Custom formats use the abfmt_ prefix; built-in formats use builtinabfmt_.

modifiedAtstringOptional
When the protein format was last modified.
namestringOptional
The display name of the protein format.
originalVeritasstring or nullOptional
The VERITAS string used to create the format.
variablePairslist of objectsOptional

Variable domain pairs defined on this format (e.g., VH/VL for antibodies). Each pair identifies two variable domains that together form an antigen-binding site.

Errors

400
Protein Format Get Request Bad Request Error
403
Protein Format Get Request Forbidden Error
404
Protein Format Get Request Not Found Error
429
Protein Format Get Request Too Many Requests Error
500
Protein Format Get Request Internal Server Error